//
//  AASVolumesSubscription.h
//  AASFilesystemTools
//
//  Created by Andreas Schwarz on 11/21/09.
//  Copyright 2009 immaterial. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "AASDirectorySubscription.h"


@class AASFileItem;

extern NSString *AASVolumesSubscriptionPath;
extern NSURL *AASVolumesSubscriptionURL;
extern id volumesFileItemPlaceholder;


@interface AASVolumesSubscription : AASDirectorySubscription {
	NSMutableArray *fileItemsForMountedVolumes;
	DASessionRef session;
}



/* Returns AASVolumesSubscriptionPath. */
@property(readonly) NSString * path;

/* Returns AASVolumesSubscriptionURL. */
@property(readonly, retain) NSURL * url;

/* Always returns YES. */
@property(readonly) BOOL isValid;

/* Always returns NO. */
@property(readonly) BOOL isLoading;

/* Returns an array of file objects for all the mounted volumes. */
@property(readonly) NSArray * files;

/* Returns volumesFileItemPlaceholder. */
@property(readonly) id directoryFile;

/* Does nothing. */
- (void)loadImmediately;

@end
