//
//  GBAsyncImageLoader.h
//  GBBasicsKit
//
//  Created by Andreas Schwarz on 9/8/09.
//  Copyright 2009 Immaterial Goods. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <AASFilesystemTools/AASFilesystemTools.h>

@class GBAsyncImageLoader;
@class GBImageLoaderOperation;
@class GBFileItem;

// Delegate must implement this method
@interface NSObject (GBAsynchronousImageLoaderDelegate)
- (void)asynchronousImageLoader:(GBAsyncImageLoader *)loader loadedImage:(CGImageRef)image forFileItem:(GBFileItem *)file nextInQueue:(GBFileItem *)nextFile;
@end


@interface GBAsyncImageLoader : NSObject <AASQueuedObjectOperationDelegateProtocol> {	
	GBImageLoaderOperation *loadOperation;
	
	id delegate;
}

- (NSUInteger)countLeft;

- (void)addFilesToQueue:(NSArray *)files highPriority:(BOOL)high;
- (void)removeFilesFromQueue:(NSArray *)files;

- (void)clearQueue;
- (void)cancel;


@property(assign) id delegate;

@end
