//
//  GBAsyncThumbRemover.h
//  GBBasicsKit
//
//  Created by Andreas Schwarz on 3/12/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <AASFilesystemTools/AASFilesystemTools.h>

@class GBAsyncThumbRemover;
@class GBThumbRemovalOperation;
@class GBFileItem;

// Delegate must implement this method
@interface NSObject (GBAsyncThumbRemoverDelegate)
- (void)asynchronousResourceStripper:(GBAsyncThumbRemover *)stripper strippedResourceForkFromFile:(GBFileItem *)file nextInQueue:(GBFileItem *)nextFile;
@end


@interface GBAsyncThumbRemover : NSObject <AASQueuedObjectOperationDelegateProtocol> {
	GBThumbRemovalOperation *stripOperation;
	
	id delegate;
}

- (NSUInteger)countLeft;

- (void)addFilesToQueue:(NSArray *)files;

- (void)clearQueue;
- (void)cancel;


@property(assign) id delegate;


@end
