//
//  GBBookmarksController.h
//  GBBasicsKit
//
//  Created by Andreas Schwarz on 11/29/09.
//  Copyright 2009 immaterial. All rights reserved.
//

#import <Cocoa/Cocoa.h>


extern NSString *GBBookmarksChangedNotification;
extern NSString *GBBookmarksInternalPboardType;

extern NSString *GBBookmarkFileKey;
extern NSString *GBBookmarkArchiveKey;
extern NSString *GBBookmarkTitleKey;
extern NSString *GBBookmarkSeparatorKey;
extern NSString *GBBookmarkKeyEquivalentKey;


@interface GBBookmarksController : NSWindowController {
	NSMutableArray *bookmarks;
	NSArray *allowedUTIs;
	NSString *separatorString;
}

@property(copy) NSArray *allowedUTIs;
@property(copy) NSString *separatorString;

- (NSArray *)bookmarks;
- (NSUInteger)bookmarksCount;
- (void)setBookmarks:(NSArray *)newBookmarks;

- (NSArray *)savableBookmarks;
- (void)setBookmarksFromSavableBookmarks:(NSArray *)newBookmarks;

- (NSArray *)menuItemsForBookmarks;
- (BOOL)validateMenuItem:(NSMenuItem *)menuItem;

- (void)refreshBookmarks;



- (void)removeItems:(NSArray *)items;
- (void)removeItemAtIndex:(NSUInteger)index;
- (void)addFileItems:(NSArray *)items atIndex:(NSUInteger)index;
- (void)addSeparatorAtIndex:(NSUInteger)index;



@end
